EDIT - feature request #4643
task # 6992 (New): Refactor and modernize REST web service API

make all cdm-remote urls case insensitive [DISCUSS]
02/09/2015 11:55 AM - Andreas Kohlbecker

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Mller % Done: 0%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal

Description

Anreas Mller suggested to make all URLs fully case insensitive.

The case sensitivity of the can cause problems to users which make mistakes when they write URLs by hand. In case of request
parameters which have letters written in de wrong case, the url might not match

the path mathing can be made insensitive by implementing an case insensitive pathmather:

see http://stackoverflow.com/questions/4150039/how-can-i-have-case-insensitive-urls-in-spring-mvc-with-annotated-mappings

But what about the query parameter names and values?

these must be handled differently

History

#1 - 05/01/2015 01:50 AM - Andreas Miiller

- Subject changed from make all cdm-remote urls case inssensitive [DISCUSS] to make all cdm-remote urls case insensitive [DISCUSS]

#2 - 09/28/2017 08:34 AM - Andreas Kohlbecker
- Description updated
- Parent task set to #6992

- Private changed from Yes to No

#3 - 03/23/2022 12:26 PM - Andreas Miiller
- Assignee changed from Andreas Kohlbecker to Andreas Miller

- Target version set to Unassigned CDM tickets
